---
title: Nairuby Duka
---
<section id="title">
<h1>
  <img src='/duka/images/AfricanRubyCommunityLogo-64x15px.webp' height="64px" alt="Africa Ruby Community Logo" style="float:left"> Nairuby Duka
</h1>
</section>
<section id="introduction">
<p>Show your proud membership of Nairuby by purchasing and using
Nairuby branded products.</p>
</section>
<section id="items">
<h3>Product and Quantity Selection</h3>

<%= partial(:image, :locals => {
  :src => '/duka/images/Mug-black-ARC-Nairobi-200x140px.webp',
  :title => 'Black Mug',
  :price => '600/=',
  :alt => 'Picture of Black Mug',
  :width => '200',
  :caption => 'Black African Ruby Community Nairobi Mug',
})%>
<input type="number" id="blackmug" onclick="changequantity('blackmug')" value="0" min="0" max="20" step="1">

<%= partial(:image, :locals => { 
  :src => '/duka/images/Mug-white-ARC-Nairobi-200x140px.webp',
  :title => 'White Mug',
  :price => '600/=',
  :alt => 'Picture of White Mug.',
  :width => '200',
  :caption => 'White African Ruby Community Nairobi Mug',
})%>
<input type="number" id="whitemug" onclick="changequantity('whitemug')" value="0" min="0" max="20" step="1">


<%= partial(:image2, :locals => {
  :src1 => '/duka/images/T-shirt-black-front-ARC-Nairobi-200x140px.webp',
  :src2 => '/duka/images/T-shirt-black-back-ARC-Nairobi-200x140px.webp',
  :title => 'Black T-shirt',
  :price => '1200/=',
  :alt1 => 'Picture of front of black T-shirt',
  :alt2 => 'Picture of back of black T-shirt',
  :width => '200',
  :caption => 'Black African Ruby Community Nairobi T-shirt',
})%>
<input type="number" id="blacktshirt" onclick="changequantity('blacktshirt')" value="0" min="0" max="20" step="1">

<%= partial(:image2, :locals => {
  :src1 => '/duka/images/T-shirt-white-front-ARC-Nairobi-200x140px.webp',
  :src2 => '/duka/images/T-shirt-white-back-Nairobi-200x140px.webp',
  :title => 'White T-shirt',
  :price => '1200/=',
  :alt1 => 'Picture of front of white T-shirt.',
  :alt2 => 'Picture of back of white t-shirt',
  :width => '200',
  :caption => 'White African Ruby Community Nairobi T-shirt',
})%>
<input type="number" id="whitetshirt" onclick="changequantity('whitetshirt')" value="0" min="0" max="20" step="1">
</section>
<section id="location">
        <h1>Delivery Location Selection</h1>
<div id="map-container" style="margin-left:auto;margin-right:auto">
              <div id="mapid"></div>
</div>
</section>
<section id="payment">
        <h1>Payment</h1>
               <form id="buy">
    <label for="name">Name</label><br>
    <input type="text" id="name" name="user_name"><br>
    <label for="telephone">Telephone</label><br>
    <input type="tel" id="telephone" name="user_telephone"><br>
    <label for="mail">E-mail</label><br>
    <input type="email" id="mail" name="user_email"><br>
    <label for="address">Delivery Address</label><br>
    <textarea id="address" name="user_address"></textarea><br>
    <label for="msg">Additional information</label><br>
    <textarea id="msg" name="user_message"></textarea><br>
  <button type="button" id="pay" onClick="payWithRave()">Pay</button>
</form>
</section>

